ipc_findkey
Prev | IPC utilities | Next

## Name

ipc_findkey — find a key in an ipc identifier set

## Synopsis

`struct kern_ipc_perm * ipc_findkey (` | struct ipc_ids * | ids,
| key_t | key`)`;

## Arguments

`ids`

  Identifier set

`key`

  The key to find

## Description

Requires ipc_ids.rw_mutex locked. Returns the LOCKED pointer to the ipc structure if found or NULL if not. If key is found ipc points to the owning ipc structure

Prev | Up | Next
ipc_init_proc_interface | Home | ipc_get_maxid